Konubinix' opinionated web of thoughts

40mm Pvc Sleeve Substitution

Fleeting

  import cadquery as cq
  w = cq.Workplane("XY")
#+HUGO: more

  def pipe(w, height, inner_diameter, outer_diameter):
      return w.cylinder(height=height, radius=outer_diameter/2, centered=(True, True, False)).cut(w.cylinder(height=height, radius=inner_diameter/2, centered=(True, True, False)))


  part1 = pipe(w, 20, 41, 43)
  wall = pipe(part1.faces('+Z').workplane(), 2, 39, 43)
  part2 = pipe(wall.faces('+Z').workplane(), 20, 41, 43)

  cq.exporters.export(
      part1.union(wall).union(part2),
      out,
  )
  return out

()